For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Node.js build details

Returns one build by UUID: its state (pending, running, completed, failed), the options it ran with and timestamps.

Get Node.js build details

get

Returns one build by UUID: its state (pending, running, completed, failed), the options it ran with and timestamps. Poll this while a build is pending or running. When it is failed, read Get NodeJS build logs and Analyse failed Node.js build for the cause. Returns 404 when the UUID does not belong to a build of this website.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
domainstringRequired

Domain name

Example: mydomain.tld
uuidstring · uuidRequired

Build UUID

Example: 123e4567-e89b-12d3-a456-426614174000
Responses
200

Success response

application/json
uuidstringOptional

Build UUID

Example: 69f07fe2-197a-4fb3-9dae-606f965ad13d
statestring · enumOptional

Build state

Example: pendingPossible values:
optionsone of · nullableOptional

Build options

created_atstring · date-timeOptional

Creation timestamp

Example: 2024-05-29T05:49:49.067239Z
updated_atstring · date-timeOptional

Last update timestamp

Example: 2024-05-29T05:49:49.067239Z
get/api/hosting/v1/accounts/{username}/websites/{domain}/nodejs/builds/{uuid}
GET /api/hosting/v1/accounts/{username}/websites/{domain}/nodejs/builds/{uuid} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "uuid": "69f07fe2-197a-4fb3-9dae-606f965ad13d",
  "state": "pending",
  "options": {
    "node_version": 24,
    "app_type": "vite",
    "root_directory": "src",
    "output_directory": "dist",
    "build_script": "build",
    "entry_file": "server.js",
    "package_manager": "npm",
    "source_type": "archive",
    "source_options": {
      "archive_path": "archive.zip",
      "owner": "octocat",
      "repository": "my-site",
      "branch": "main",
      "installation_uuid": "018f5e2a-1234-7890-abcd-1234567890ab",
      "commit": {
        "hash": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0",
        "message": "Initial commit",
        "author": {
          "name": "Jane Doe",
          "avatar_url": "https://avatars.githubusercontent.com/u/583231"
        }
      }
    }
  },
  "created_at": "2024-05-29T05:49:49.067239Z",
  "updated_at": "2024-05-29T05:49:49.067239Z"
}

Last updated

Was this helpful?